#include <Adafruit_SSD1306.h> // Graphics and Communication Library

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

#define OLED_RESET     -1 // Reset pin # (or -1 if sharing Arduino reset pin)
#define SCREEN_ADDRESS 0x3C ///< See datasheet for Address; 0x3C For Included Screen

// Instatiate the display as an object named "display", you can change this if youd like
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

//Two global variables x and y to represent a coordinate on the display
int x,y;

void setup() {
  // Start the clock
  Serial.begin(9600);

  for(int i=0;i<8;i++){
  //Declare each digital pin as an INPUT_PULLUP, this will stop the pins accidently triggering if left floating
  //NOTE: THIS MEANS THE PIN IS NOW ACTIVE LOW e.g. on a button press the processor will execute code when the pin goes low
  pinMode(i,INPUT_PULLUP);
  }

  if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;); // Don't proceed, loop forever
  }

  display.clearDisplay(); 

  //------------------------------------------Beginner Code Space Begins Here------------------------------------------

  //The following lines call the respective sub-routines upon detecing the specified pin changing state
  attachInterrupt(3, LeftDial, CHANGE);
  attachInterrupt(0, RightDial, CHANGE);
}

void LeftDial(){
  //This routine will be called when the left dial detects rotation
  //Your task is to determine in which direction the dial is moving!
}

void RightDial(){
  //Same task as for the left dial, however now you'll want to change the coordinates y value rather than x
}

void loop() {
  // put any code to run repeatedly here, it will execute when there is no input on the rotary encoders

}
